<?php

namespace RecruitCrm\LogicMelon\EnumType;

use \WsdlToPhp\PackageBase\AbstractStructEnumBase;

/**
 * This class stands for SearchFieldAndValueComparitor EnumType
 * @subpackage Enumerations
 */
class SearchFieldAndValueComparitor extends AbstractStructEnumBase
{
    /**
     * Constant for value 'Equals'
     * @return string 'Equals'
     */
    const VALUE_EQUALS = 'Equals';
    /**
     * Constant for value 'StartsWith'
     * @return string 'StartsWith'
     */
    const VALUE_STARTS_WITH = 'StartsWith';
    /**
     * Constant for value 'EndsWith'
     * @return string 'EndsWith'
     */
    const VALUE_ENDS_WITH = 'EndsWith';
    /**
     * Constant for value 'Contains'
     * @return string 'Contains'
     */
    const VALUE_CONTAINS = 'Contains';
    /**
     * Constant for value 'LessThan'
     * @return string 'LessThan'
     */
    const VALUE_LESS_THAN = 'LessThan';
    /**
     * Constant for value 'GreaterThan'
     * @return string 'GreaterThan'
     */
    const VALUE_GREATER_THAN = 'GreaterThan';
    /**
     * Constant for value 'LessThanDate'
     * @return string 'LessThanDate'
     */
    const VALUE_LESS_THAN_DATE = 'LessThanDate';
    /**
     * Constant for value 'GreaterThanDate'
     * @return string 'GreaterThanDate'
     */
    const VALUE_GREATER_THAN_DATE = 'GreaterThanDate';
    /**
     * Return allowed values
     * @uses self::VALUE_EQUALS
     * @uses self::VALUE_STARTS_WITH
     * @uses self::VALUE_ENDS_WITH
     * @uses self::VALUE_CONTAINS
     * @uses self::VALUE_LESS_THAN
     * @uses self::VALUE_GREATER_THAN
     * @uses self::VALUE_LESS_THAN_DATE
     * @uses self::VALUE_GREATER_THAN_DATE
     * @return string[]
     */
    public static function getValidValues()
    {
        return array(
            self::VALUE_EQUALS,
            self::VALUE_STARTS_WITH,
            self::VALUE_ENDS_WITH,
            self::VALUE_CONTAINS,
            self::VALUE_LESS_THAN,
            self::VALUE_GREATER_THAN,
            self::VALUE_LESS_THAN_DATE,
            self::VALUE_GREATER_THAN_DATE,
        );
    }
}
